
Method OpeningPredicate {
	ClassSymbol	: OPENING_PREDICATE
	ClassName	: openingPredicate
	ObjectClass	: BD_ENTITY
	Type		: BOOLEAN
	ClassShortComment	: "Doit renvoyer vrai pour que l'activite puisse etre ouverte."
}
Method ClosingPredicate {
	ClassSymbol	: CLOSING_PREDICATE
	ClassName	: closingPredicate
	ObjectClass	: BD_ENTITY
	Type		: BOOLEAN
	ClassShortComment	: "Doit renvoyer vrai pour que l'activite puisse etre fermee."
}
Method MinBegStatePredicate {
	ClassSymbol	: MIN_BEG_STATE_PREDICATE
	ClassName	: minBegStatePredicate
	ObjectClass	: BD_ENTITY
	Type		: BOOLEAN
	ClassShortComment	: "L'evolution de l'etat du systeme etant vue comme une horloge qui tourne, // doit retourner vrai si l'instant indique par cette sorte d'horloge // est egal ou posterieur au debut de la fenetre d'ouverture de l'activite."
}
Method MaxBegStatePredicate {
	ClassSymbol	: MAX_BEG_STATE_PREDICATE
	ClassName	: maxBegStatePredicate
	ObjectClass	: BD_ENTITY
	Type		: BOOLEAN
	ClassShortComment	: "L'evolution de l'etat du systeme etant vue comme une horloge qui tourne, // doit retourner vrai si l'instant indique par cette sorte d'horloge // est posterieur a la fin de la fenetre d'ouverture de l'activite."
}
Method SetUserOperationName {
	ClassSymbol	: SET_USER_OPERATION_NAME
	ClassName	: setUserOperationName
	ObjectClass	: BD_ENTITY
	Type		: VOID
	ClassShortComment	: "Methode invoquee lors de l'initialisation du processus d'avancee de l'operation, //de l'activite, donc une fois que celle-ci a ete completement allouee."
}
Method ModifyInOpenSituation {
	ClassSymbol	: MODIFY_IN_OPEN_SITUATION
	ClassName	: modifyInOpenSituation
	ObjectClass	: BD_ENTITY
	Type		: VOID
	ClassShortComment	: "Si l'activite non primitive est ouverte ou en cours et que cette methode// a ete dotee d'un corps, alors la methode de mise a jour de la situation// invoque cette methode avant de s'appliquer recursivement a ses elements."
}
Method UpdateNextWhenSonOpen {
	ClassSymbol	: UPDATE_NEXT_WHEN_SON_OPEN
	ClassName	: updateNextWhenSonOpen
	ObjectClass	: BD_ENTITY
	Type		: VOID
	ClassShortComment	: "Methode invoquee lors de l'ouverture d'une activite fille. // Modifie l'activite fille suivante (e.g. la fenetre d'ouverture). // Le rang de l'activite ouverte est la valeur de l'argument OPEN_SON_RANK."
}
Method UpdateNextWhenSonClosed {
	ClassSymbol	: UPDATE_NEXT_WHEN_SON_CLOSED
	ClassName	: updateNextWhenSonClosed
	ObjectClass	: BD_ENTITY
	Type		: VOID
	ClassShortComment	: "Methode invoquee lors de la fermeture d'une activite fille. // Modifie l'activite fille suivante (e.g. la fenetre d'ouverture). // Le rang de l'activite fermee est la valeur de l'argument CLOSED_SON_RANK."
}
Method UpdatePrevWhenSonOpen {
	ClassSymbol	: UPDATE_PREV_WHEN_SON_OPEN
	ClassName	: updatePrevWhenSonOpen
	ObjectClass	: BD_ENTITY
	Type		: VOID
	ClassShortComment	: "Methode invoquee lors de l'ouverture d'une activite fille. // Modifie l'activite fille precedente (e.g. la fenetre de fermeture). // Le rang de l'activite ouverte est la valeur de l'argument OPEN_SON_RANK."
}
Method UpdatePrevWhenSonClosed {
	ClassSymbol	: UPDATE_PREV_WHEN_SON_CLOSED
	ClassName	: updatePrevWhenSonClosed
	ObjectClass	: BD_ENTITY
	Type		: VOID
	ClassShortComment	: "Methode invoquee lors de la fermeture d'une activite fille. // Modifie l'activite fille precedente (e.g. la fenetre de fermeture). // Le rang de l'activite fermee est la valeur de l'argument CLOSED_SON_RANK."
}
Method UpdateReactivatedSon {
	ClassSymbol	: UPDATE_REACTIVATED_SON
	ClassName	: updateReactivatedSon
	ObjectClass	: BD_ENTITY
	Type		: VOID
	ClassShortComment	: "Si les conditions d'une nouvelle mise en oeuvre de l'activite iteree // sont satisfaites, ce sera fait avec les proprietes qui lui sont donnees // dans cette fonction."
}
Method SetUserTransferedIntQuantity {
	ClassSymbol	: SET_USER_TRANSFERED_INT_QUANTITY
	ClassName	: setUserTransferedIntQuantity
	ObjectClass	: BD_ENTITY
	Type		: INT
	ClassShortComment	: "Retourne la quantite totale a transferer par l'activite en jeu. // (surcharge une eventuelle valeur du descripteur TransferQuantityIntValue)."
}
Method SetUserTransferedFloatQuantity {
	ClassSymbol	: SET_USER_TRANSFERED_FLOAT_QUANTITY
	ClassName	: setUserTransferedFloatQuantity
	ObjectClass	: BD_ENTITY
	Type		: FLOAT
	ClassShortComment	: "Retourne la quantite totale a transferer par l'activite en jeu. // (surcharge une eventuelle valeur du descripteur TransferQuantityFloatValue)."
}
Method StateTransitionProcedure {
	ClassSymbol	: STATE_TRANSITION_PROCEDURE
	ClassName	: stateTransitionProcedure
	ObjectClass	: BD_ENTITY
	Type		: BOOLEAN
	ClassShortComment	: "Definit l'impact de l'operation sur l'entite operee. // L'entite operee est la valeur de l'argument OPERATION_TARGET. // S'il s'agit d'une operation de transfert, consulter la documentation generale // pour la liste et le sens de la valeur des arguments (source, destination, ...)."
}
Method FeasibilityCondition {
	ClassSymbol	: FEASIBILITY_CONDITION
	ClassName	: feasibilityCondition
	ObjectClass	: BD_ENTITY
	Type		: BOOLEAN
	ClassShortComment	: "Methode invoquee alors que l'activite est ouverte. // Doit renvoyer vrai si l'operation est maintenant faisable."
}
Method SetUserStep {
	ClassSymbol	: SET_USER_STEP
	ClassName	: setUserStep
	ObjectClass	: BD_ENTITY
	Type		: INT
	ClassShortComment	: "Retourne la longueur du pas de l'operation (en nmbre d'unites de temps simule. // (surcharge une eventuelle valeur du descripteur Step)."
}
Method SetUserUnitSpeed {
	ClassSymbol	: SET_USER_UNIT_SPEED
	ClassName	: setUserUnitSpeed
	ObjectClass	: BD_ENTITY
	Type		: INT
	ClassShortComment	: "Retourne la vitesse de l'operation. // (surcharge une eventuelle valeur du descripteur UnitSpeed)."
}
Method SetUserIntQuantitySpeed {
	ClassSymbol	: SET_USER_INT_QUANTITY_SPEED
	ClassName	: setUserIntQuantitySpeed
	ObjectClass	: BD_ENTITY
	Type		: INT
	ClassShortComment	: "Calcul de la vitesse de l'operation // (surcharge une eventuelle valeur du descripteur IntQuantitySpeed)."
}
Method SetUserFloatQuantitySpeed {
	ClassSymbol	: SET_USER_FLOAT_QUANTITY_SPEED
	ClassName	: setUserFloatQuantitySpeed
	ObjectClass	: BD_ENTITY
	Type		: FLOAT
	ClassShortComment	: "Retourne la vitesse de l'operation. // (surcharge une eventuelle valeur du descripteur FloatQuantitySpeed)."
}
Method SetUserTimeSpeed {
	ClassSymbol	: SET_USER_TIME_SPEED
	ClassName	: setUserTimeSpeed
	ObjectClass	: BD_ENTITY
	Type		: FLOAT
	ClassShortComment	: "Retourne la vitesse de l'operation. // (surcharge une eventuelle valeur du descripteur TimeSpeed)."
}
Method StateRelatedPredicate {
	ClassSymbol	: STATE_RELATED_PREDICATE
	ClassName	: stateRelatedPredicate
	ObjectClass	: BD_ENTITY
	Type		: BOOLEAN
	ClassShortComment	: "Doit renvoyer vrai si la contrainte est satisfaite. // Celle-ci porte sur l'etat de la ressource a laquelle la contrainte est attachee. // La ressource est la valeur du descripteur DESCRIBED_RESOURCE de la contrainte.// La contrainte est recuperable  dans le corps de la presente methode par le service DescribedEntity()."
}
Method CapacityOfferDemandComparison {
	ClassSymbol	: CAPACITY_OFFER_DEMAND_COMPARISON
	ClassName	: capacityOfferDemandComparison
	ObjectClass	: BD_ENTITY
	Type		: BOOLEAN
	ClassShortComment	: "Doit renvoyer vrai si la contrainte de capacite est satisfaite // au vu de la comparaison 'offre/demande' sur la ressource a laquelle // la contrainte est attachee."
}
Method SetThisTimeSlotBegValue {
	ClassSymbol	: SET_THIS_TIME_SLOT_BEG_VALUE
	ClassName	: setThisTimeSlotBegValue
	ObjectClass	: BD_ENTITY
	Type		: INT
	ClassShortComment	: ""
}
Method SetThisTimeSlotEndValue {
	ClassSymbol	: SET_THIS_TIME_SLOT_END_VALUE
	ClassName	: setThisTimeSlotEndValue
	ObjectClass	: BD_ENTITY
	Type		: INT
	ClassShortComment	: ""
}
Method SetNextTimeSlotBegValue {
	ClassSymbol	: SET_NEXT_TIME_SLOT_BEG_VALUE
	ClassName	: setNextTimeSlotBegValue
	ObjectClass	: BD_ENTITY
	Type		: INT
	ClassShortComment	: ""
}
Method HoldingCondition {
	ClassSymbol	: HOLDING_CONDITION
	ClassName	: holdingCondition
	ObjectClass	: BD_ENTITY
	Type		: BOOLEAN
	ClassShortComment	: "Methode d'une ActivityInconsistencyCondition (AIC),//ou d'une ResourceSharingViolationCondition (RSVC), //ou d'une ActivitiesResourcesInconsistentCommitment (ARIC) // Le corps examine l'etat du systeme et doit renvoyer vrai si et seulement si // l'etat justifie que la contrainte pE soit appliquee lors de l'allocation de //l'activite qui est la valeur de l'argument REFERENCEENTITY_ARGUMENT.// L'argument CANDIDATEENTITYTABVALUE_ARGUMENT est : //  - cas AIC : un ensemble de ressources candidates a l'allocation.//  - autres cas : NULL//L'argument CANDIDATEENTITYVALUE_ARGUMENT est ://  - cas AIC  : l'InstructionAllocation (structuve V) de l'activite//  - cas RSVC : l'InstructionSetAllocation (structuve U) du jeu d'activites//  - cas ARIC : NULL"
}
Method BestActivitySetSelector {
	ClassSymbol	: BEST_ACTIVITY_SET_SELECTOR
	ClassName	: bestActivitySetSelector
	ObjectClass	: BD_ENTITY
	Type		: P_ENTITY
	ClassShortComment	: "Choisit (et eventuellement modifie) le meilleur jeu d'activites // parmi des jeux vehicules par l'argument ACTIVITY_SETS_ARGUMENT."
}
Method CandidateActivitySetSortMethod {
	ClassSymbol	: CANDIDATE_ACTIVITY_SET_SORT_METHOD
	ClassName	: candidateActivitySetSortMethod
	ObjectClass	: BD_ENTITY
	Type		: VOID
	ClassShortComment	: "Ordonne les activites dans le jeu d'activites //vehicule par l'argument ACTIVITY_SET_ARGUMENT."
}
Method LocalBestActivitySetSelector {
	ClassSymbol	: LOCAL_BEST_ACTIVITY_SET_SELECTOR
	ClassName	: localBestActivitySetSelector
	ObjectClass	: BD_ENTITY
	Type		: P_ENTITY
	ClassShortComment	: "Choisit (et eventuellement modifie) le meilleur jeu d'activites // parmi des jeux vehicules par l'argument ACTIVITY_SETS_ARGUMENT."
}
Method LocalCandidateActivitySetSortMethod {
	ClassSymbol	: LOCAL_CANDIDATE_ACTIVITY_SET_SORT_METHOD
	ClassName	: localCandidateActivitySetSortMethod
	ObjectClass	: BD_ENTITY
	Type		: VOID
	ClassShortComment	: "Ordonne les activites dans le jeu d'activites //vehicule par l'argument ACTIVITY_SET_ARGUMENT."
}
Method IntFutureValueByActivity {
	ClassSymbol	: INT_FUTURE_VALUE_BY_ACTIVITY
	ClassName	: intFutureValueByActivity
	ObjectClass	: BD_ENTITY
	Type		: INT
	ClassShortComment	: "Renvoie la valeur entiere du but apres la realisation d'une activite. // L'activite est la valeur de l'argument SINGLE_ACTIVITY_SET_ARGUMENT. // L'evaluation realisee est temporellement etiquetee par un instant // valeur de l'argument TIME_DOMAIN_ARGUMENT."
}
Method IntFutureValueByActivityList {
	ClassSymbol	: INT_FUTURE_VALUE_BY_ACTIVITY_LIST
	ClassName	: intFutureValueByActivityList
	ObjectClass	: BD_ENTITY
	Type		: INT
	ClassShortComment	: "Renvoie la valeur entiere du but apres la realisation d'une liste d'activites. // La liste est la valeur de l'argument SINGLE_LIST_ARGUMENT. // L'evaluation realisee est temporellement etiquetee par un instant // valeur de l'argument TIME_DOMAIN_ARGUMENT."
}
Method FloatFutureValueByActivity {
	ClassSymbol	: FLOAT_FUTURE_VALUE_BY_ACTIVITY
	ClassName	: floatFutureValueByActivity
	ObjectClass	: BD_ENTITY
	Type		: FLOAT
	ClassShortComment	: "Renvoie la valeur reelle du but apres la realisation d'une activite. // L'activite est la valeur de l'argument SINGLE_ACTIVITY_SET_ARGUMENT. // L'evaluation realisee est temporellement etiquetee par un instant // valeur de l'argument TIME_DOMAIN_ARGUMENT."
}
Method FloatFutureValueByActivityList {
	ClassSymbol	: FLOAT_FUTURE_VALUE_BY_ACTIVITY_LIST
	ClassName	: floatFutureValueByActivityList
	ObjectClass	: BD_ENTITY
	Type		: FLOAT
	ClassShortComment	: "Renvoie la valeur reelle du but apres la realisation d'une liste d'activites. // La liste est la valeur de l'argument SINGLE_LIST_ARGUMENT. // L'evaluation realisee est temporellement etiquetee par un instant // valeur de l'argument TIME_DOMAIN_ARGUMENT."
}
Method GetCriterionValue {
	ClassSymbol	: GET_CRITERION_VALUE
	ClassName	: getCriterionValue
	ObjectClass	: BD_ENTITY
	Type		: FLOAT
	ClassShortComment	: "Renvoie la valeur reelle du critere pour une entite // valeur de l'argument CANDIDATEENTITY_ARGUMENT."
}