//============================================================================
// FILE: O_CoreConstantDescriptor.h
//
// TYPE: C++CLASS
// DESCRIPTION: entête des divers descripteurs constants de Open-Diese
// 
// AUTHORS: Rellier (INRA/UBIA, Toulouse)
// REFERENCE : "
//=X===============X=============================X============================

#ifndef _O_CORECONSTDESCRIPTOR_HH
#define _O_CORECONSTDESCRIPTOR_HH

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//
#include "O_CoreTypes.h"

/**@name Les descripteurs prédéfinis */
//@{
/**@name Les descripteurs constants

\begin{verbatim}
---------------------------------------------------------------------------------------------
|    type    |      nom C++     | symbole de classe  |  nom de classe   | sens de la valeur |
---------------------------------------------------------------------------------------------
|   STRING   | DateISOAttribute | DATE_ISO_ATTRIBUTE | dateISOAttribute |   date au format  |
|     INT    | AddValueMode     | ADD_VALUE_MODE     | addValueMode     | 1:APPEND 2:NEW    |
---------------------------------------------------------------------------------------------
\end{verbatim}
*/
//---------------------------------------------------------------------------------------------
//|            |                  |                                       |                   |
//---------------------------------------------------------------------------------------------
//@{


//=X===============X=============================X============================
// InterfaceDataItem
//............................................................................

class DateISOAttribute : public StringConstantDescriptor
{
public:
  DateISOAttribute();
};

class AddValueMode : public IntConstantDescriptor
{
public:
  AddValueMode();
};


//@}  // fin descripteurs constants

#endif  // _O_CORECONSTDESCRIPTOR_HH
